from setuptools import setup, find_packages
from os.path import join

name = 'eea.rdfrepository'
path = ['src'] + name.split('.') + ['version.txt']
version = open(join(*path)).read().strip()

setup(name='eea.rdfrepository',
      version = version,
      url = "http://svn.eionet.europa.eu/projects/"
            "Zope/browser/trunk/eea.rdfrepository",
      description = 'RDF Repository',
      author = 'Tim Terlegard, Sasha Vincic, European Enviromental Agency',
      author_email = "webadmin@eea.europa.eu",
      long_description = file('README.txt').read(),
      classifiers = ['Development Status :: 5 - Production/Stable',
                    'Framework :: Zope3',
                    'Intended Audience :: Developers'],
      keywords='EEA rdf repository',
      license='GPL',
      packages = find_packages('src'),
      package_dir = {'': 'src'},
      namespace_packages = ['eea'],
      include_package_data = True,
      zip_safe = False,
      install_requires=[
      "setuptools",
      ],
      entry_points="""
      # -*- Entry points: -*-
      """,
      )


